| PUT | /RestApi/lists-api/items |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class SpecificListsGetRequest
{
open var Ids:ArrayList<UUID>? = null
open var Provider:String? = null
}
@DataContract
open class CollectionContext<T>
{
@DataMember
open var TotalCount:Int? = null
@DataMember
open var IsGeneric:Boolean? = null
@DataMember
open var Context:HashMap<String,String>? = null
@DataMember
open var Items:ArrayList<ItemsTargetLanguageStatusProxy>? = null
}
open class ItemsTargetLanguageStatusProxy
{
open var Code:String? = null
open var Name:String? = null
open var SomeItemsHaveIncompatiblePendingTranslations:Boolean? = null
open var AllItemsHaveIncompatiblePendingTranslations:Boolean? = null
}
Kotlin SpecificListsGetRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/lists-api/items HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"TotalCount":0,"IsGeneric":false,"Items":[]}